Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 549200 (CVE-2015-3456) - <app-emulation/xen-{4.2.5-r9,4.4.2-r2}: VENOM: Privilege escalation via emulated floppy disk drive (XSA-133) (CVE-2015-3456)
Summary: <app-emulation/xen-{4.2.5-r9,4.4.2-r2}: VENOM: Privilege escalation via emula...
Status: RESOLVED FIXED
Alias: CVE-2015-3456
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B1 [glsa cve]
Keywords:
: 549272 549384 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-05-11 19:04 UTC by Kristian Fiskerstrand (RETIRED)
Modified: 2016-04-05 07:00 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Fiskerstrand (RETIRED) gentoo-dev 2015-05-11 19:04:10 UTC
Xen Security Advisory CVE-2015-3456 / XSA-133

          Privilege escalation via emulated floppy disk drive

             *** EMBARGOED UNTIL 2015-05-13 12:00 UTC ***

ISSUE DESCRIPTION
=================

The code in qemu which emulates a floppy disk controller did not
correctly bounds check accesses to an array and therefore was
vulnerable to a buffer overflow attack.

IMPACT
======

A guest which has access to an emulated floppy device can exploit this
vulnerability to take over the qemu process elevating its privilege to
that of the qemu process.

VULNERABLE SYSTEMS
==================

All Xen systems running x86 HVM guests without stubdomains are
vulnerable to this depending on the specific guest configuration. The
default configuration is vulnerable.

Guests using either the traditional "qemu-xen" or upstream qemu device
models are vulnerable.

Guests using a qemu-dm stubdomain to run the device model are only
vulnerable to takeover of that service domain.

Systems running only x86 PV guests are not vulnerable.

ARM systems are not vulnerable.

MITIGATION
==========

Enabling stubdomains will mitigate this issue, by reducing the
escalation to only those privileges accorded to the service domain.

qemu-dm stubdomains are only available with the traditional "qemu-xen"
version.

NOTE REGARDING EMBARGO
======================

The embargo was fixed by the discoverer, at the time the Xen Project
Security Team and other response teams were notified (30th of April).
Preparation of the patch involved coordination with upstream Qemu and
drafting in of further help.  The discoverer gave permission for the
issue to be predisclosed today.
Comment 1 Kristian Fiskerstrand (RETIRED) gentoo-dev 2015-05-11 19:07:29 UTC
DEPLOYMENT DURING EMBARGO
=========================

Deployment of the patches described above (or others which are
substantially similar) is permitted during the embargo, even on
public-facing systems with untrusted guest users and administrators.

But: Deployment of the mitigation by enabling stubdomains is NOT
permitted (except on systems used and administered only by
organisations which are members of the Xen Project Security Issues
Predisclosure List).  Specifically, deployment on public cloud systems
is NOT permitted.  This is because this configuration change may be
visible to the guest.

Also, distribution of updated software is prohibited (except to other
members of the predisclosure list).

Predisclosure list members who wish to deploy significantly different
patches and/or mitigations, please contact the Xen Project Security
Team.

(Note: this during-embargo deployment notice is retained in
post-embargo publicly released Xen Project advisories, even though it
is then no longer applicable.  This is to enable the community to have
oversight of the Xen Project Security Team's decisionmaking.)

For more information about permissible uses of embargoed information,
consult the Xen Project community's agreed Security Policy:
  http://www.xenproject.org/security-policy.html
Comment 2 Tobias Heinlein (RETIRED) gentoo-dev 2015-05-12 16:56:14 UTC
*** Bug 549272 has been marked as a duplicate of this bug. ***
Comment 3 Kristian Fiskerstrand (RETIRED) gentoo-dev 2015-05-13 15:48:45 UTC
*** Bug 549384 has been marked as a duplicate of this bug. ***
Comment 4 Hanno Böck gentoo-dev 2015-05-13 17:10:01 UTC
Also affects QEMU, should this go into a separate bug report? Here's the patch:
http://git.qemu.org/?p=qemu.git;a=commitdiff;h=e907746266721f305d67bc0718795fedee2e824c
Comment 5 Kristian Fiskerstrand (RETIRED) gentoo-dev 2015-05-13 17:13:51 UTC
(In reply to Hanno Boeck from comment #4)
> Also affects QEMU, should this go into a separate bug report? 

Thanks. Yes, please file a new bug for this
Comment 6 Yixun Lan gentoo-dev 2015-05-14 05:18:43 UTC
in tree, fixed in following versions.

app-emulation/xen-tools-4.2.5-r5
app-emulation/xen-tools-4.4.2-r2
app-emulation/xen-tools-4.5.0-r4
Comment 7 Yixun Lan gentoo-dev 2015-05-14 05:38:00 UTC
Arches, please test and mark stable:
=app-emulation/xen-4.2.5-r9
=app-emulation/xen-tools-4.2.5-r5
Target keywords Both : "amd64 x86"

=app-emulation/xen-4.4.2-r2
=app-emulation/xen-tools-4.4.2-r2
Target keywords Only: "amd64" 

(this also handle bug 547202)
Comment 8 Agostino Sarubbo gentoo-dev 2015-05-14 08:54:18 UTC
amd64 stable
Comment 9 Agostino Sarubbo gentoo-dev 2015-05-14 08:54:53 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 10 Kristian Fiskerstrand (RETIRED) gentoo-dev 2015-05-14 19:21:00 UTC
New request filed together with bug 547202
Comment 11 Yixun Lan gentoo-dev 2015-05-15 01:17:05 UTC
old vulnerable versions have been dropped, thanks
Comment 12 GLSAMaker/CVETool Bot gentoo-dev 2015-06-14 20:13:54 UTC
CVE-2015-3456 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2015-3456):
  The Floppy Disk Controller (FDC) in QEMU, as used in Xen 4.5.x and earlier
  and KVM, allows local guest users to cause a denial of service
  (out-of-bounds write and guest crash) or possibly execute arbitrary code via
  the (1) FD_CMD_READ_ID, (2) FD_CMD_DRIVE_SPECIFICATION_COMMAND, or other
  unspecified commands, aka VENOM.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2016-04-05 07:00:13 UTC
This issue was resolved and addressed in
 GLSA 201604-03 at https://security.gentoo.org/glsa/201604-03
by GLSA coordinator Yury German (BlueKnight).